Package oasis.names.tc.saml._2_0.protocol

# Class ArtifactResponse

java.lang.Object
oasis.names.tc.saml._2_0.protocol.StatusResponseType
oasis.names.tc.saml._2_0.protocol.ArtifactResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ArtifactResponse extends StatusResponseType implements Serializable

Java class for ArtifactResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArtifactResponseType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
           <sequence>
             <any processContents='lax' minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArtifactResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getAny()`
  Gets the value of the any property.
  `void`
  `setAny(Element value)`
  Sets the value of the any property.

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.StatusResponseType

  `getConsent, getDestination, getExtensions, getID, getInResponseTo, getIssueInstant, getIssuer, getSignature, getStatus, getVersion, setConsent, setDestination, setExtensions, setID, setInResponseTo, setIssueInstant, setIssuer, setSignature, setStatus, setVersion`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArtifactResponse

    public ArtifactResponse()

- ## Method Details

  - ### getAny

    public Element getAny()
    Gets the value of the any property.
    Returns:
      possible object is `Element`

  - ### setAny

    public void setAny(Element value)
    Sets the value of the any property.
    Parameters:
      `value` - allowed object is `Element`